function [k1 t tb]= error_descend(N, sigma, p, r, epsilon, temp,tau)

    errs = [];
    contrast = get_contrast();
    M = numel(p);
    wscale = mean(get_s(N, 1, 30*sqrt(2)).^2);

   
    s = get_s(N,M,30*sqrt(2),contrast);
    
    k1 = ones(N) / wscale; %changed to get unit weights 

    c_orig = get_cov(get_f(s,ones(N),sigma), ones(1,M)/M);
    steps = 0;
    t = get_f(s, k1, sigma);
    while steps < 5000
        
        k2 = k1;
        
        steps = steps + 1;
      
        
        t = get_f(s, k2, sigma);

        c = get_cov(t, p);
        c_diff = (c-c_orig);
        
        d = eye(size(k1));
        
        temp2 = temp;
        
        diag_err = c_diff .* d * temp2;
        off_err = (c_diff .* (1-d)) * temp;
        decay = ones(N);
        k1 = max(0, decay*(1-tau) + tau*(k1 + diag_err + off_err));
        
       
    end
    t = get_f(s, k1, sigma);
    tb = get_f(get_s(N,N,30*sqrt(2), contrast), k1, sigma);
    
end
