function [s1 s2] = get_s_2layer(N, intrp, varargin)
    if numel(varargin) > 0
        M = varargin{1};
    else
        M = N;
    end
    
    oris_extra = linspace(0,pi,M+1);
    oris = oris_extra(1:M);
    center = ceil(M/2);
    ori_center = oris(center);
    oris = oris - ori_center + pi/2;
    
    
    oris_n_extra = linspace(0, pi, N+1);
    oris_n = oris_n_extra(1:N);
    
    center = ceil(N/2);
    ori_center = oris_n(center);
    oris_n = oris_n - ori_center + pi/2;
    if numel(varargin) > 1
        half_height = varargin{2};
    else
        half_height = 30;
    end
    [pf1, pf2] = get_population_2layer(oris_n, (half_height/360)*2*pi, intrp);
    s1 = zeros(N,M);
    s2 = zeros(N,N);%layer 2 NxN
    for i=1:numel(oris)
        
        s1(:,i) = pf1(oris(i))';
        
    end
    for i=1:numel(oris_n)
        s2(:,i) = pf2(oris_n(i))';
    end
end
