function [k1 t tb]= jnt_descend_t2(N, sigma, p, r, epsilon, temp,tau)
    M = numel(p);
    bw = 30*sqrt(2);
    contrast = get_contrast();
    wscale = mean(get_s(N, 1, 30*sqrt(2)).^2);
    
    s = get_s(N,M, bw, contrast); 
    k1 = ones(N)/wscale;
    errs = [];
    
    c_orig = get_joint(get_t(s,k1,sigma), ones(1,M)/M);

    erp = 0.0; %how much do blurr out
    c_orig = (1-erp)*c_orig + erp*ones(size(c_orig))*mean(c_orig(:));
    steps = 0;
    
    while steps < 3000

        steps = steps+1;
        t = get_t(s, k1, sigma);

        c = get_joint(t, p);
        c_diff = (c-c_orig);
        k1 = max(0, ones(N)*(1-tau) + tau*(k1 + temp*c_diff));
        
    
    end
    t = get_t(get_s(N,M,bw, contrast), k1, sigma);
    tb = get_t(get_s(N,N,bw, contrast), k1, sigma);
end
