clear all;
close all;
pu = ones(1,11);

pu = pu / sum(pu);

pb = ones(1,11);
pb(6) = 5;
pb = pb / sum(pb);
sigma = 0.25^2;
N = 121;
%recurrent feedback
temp = 0.2;
[kb4u, tb4u, tbu4b]=cov_descend_f2(N,sigma,pu,0.0,0.01,temp,1.0);
[kb4b, tb4b, tbb4b]=cov_descend_f2(N,sigma,pb,0.0,0.01,temp,1.0);

nrmb = max(tbb4b(:));
fs = 12;

%not doing that stuff
orist = linspace(-90, 90, N+1);
orist = orist(1:N);
orist = orist - orist(ceil(N/2)); %blagh

subplot(3,3,1)



h=plot(orist, max(tbb4b, [], 2)/max(max(tbb4b, [], 2)),'k');
set(h, 'LineWidth',2);

h=ylabel('Response gain');
set(h, 'FontSize',fs);
axis([-90,90,0.5,1.05])
set(gca, 'XTick',[-90, -45, 0, 45, 90])
set(gca, 'YTick',[0.5, 0.75, 1])
set(gca, 'FontSize',fs);
h=title('A');
set(h, 'FontSize', 20)


subplot(3,3,4)

h=plot(orist, get_mean(tbb4b, orist, 1),'k');
set(h, 'LineWidth',2);

axis([-90,90,-5.5,5.5])
set(gca, 'XTick',[-90, -45, 0, 45, 90])
set(gca, 'YTick',[-5, 0, 5])
h=xlabel('Preferred orientation');
set(h, 'FontSize',fs)
h=ylabel('Tuning curve shift');
set(h, 'FontSize',fs)
set(gca, 'FontSize',fs);
h=title('B');
set(h, 'FontSize', 20)

h=subplot(3,3,2);
p=get(h, 'position');
p(1) = p(1)+0.01;
p(2) = p(2) - 0.15;
set(h, 'position',p);
breal = get_cov_real(tb4b, pb);
imgscale =1;
imagesc(linspace(-90,90,N), linspace(-90, 90, N),flipdim(breal*imgscale,2));
axis square;
colormap('hot')
set(gca, 'YTick',[-90, 0, 90])
set(gca, 'XTick',[-90, 0, 90])
set(gca, 'YTickLabel',[90, 0, -90])
set(gca,'FontSize',fs);
h=xlabel('Preferred orientation');
set(h, 'FontSize',fs);
h=title('C');
set(h, 'FontSize', 20)
h=ylabel('Preferred orientation');
set(h, 'FontSize',fs);


%print(gcf, '-depsc2', 'fig1SN')
