%jpm: a joint product matrix
%shift0row: which row to not shift - rows above are shifted right, rows
%below left, by their position relative to this row

%normalize by max value
function jpm_avg = align_jpm(jpm, shift0row)
    jpm_avg = 0;
    for r=1:size(jpm, 1)
        jpm_row = jpm(r, :);
        jpm_row = circshift(jpm_row, [0, shift0row-r]);
        jpm_avg = jpm_avg + jpm_row; 
        
    end
    jpm_avg = jpm_avg/max(jpm_avg(:));
    
end
