%as cov_descend_t2, but with mixed targets.
function [k1 t tb]= jnt_descend_mix(N, sigma, p, m, temp,tau)
    M = numel(p);
    bw = 30*sqrt(2);
    

    
    s = get_s(N,M, bw); 
    k1 = ones(N);
    errs = [];
    
    c_orig = get_cov(get_t(s,k1,sigma), ones(1,M)/M);
   
    c_orig = (1-m)*c_orig + (1-m)*ones(size(c_orig))*mean(c_orig(:));
    steps = 0;
    
    while steps < 3000

        steps = steps+1;
       
        t = get_t(s, k1, sigma);

        c = get_joint(t, p);
        
        c_diff = (c-c_orig);
        mean(c_diff(:).^2).^0.5 / mean(c_orig(:).^2).^0.5;
        k1 = max(0, ones(N)*(1-tau) + tau*(k1 + temp*c_diff));
        
        
       
    end

    t = get_t(get_s(N,M,bw), k1, sigma);
    tb = get_t(get_s(N,N,bw), k1, sigma);
end
