function pm = joint_prod_img(img, nscale, nori, sfband, varargin)

    
    d = decompose(img, nscale, nori);
    energies = [];
    norm_energies = 0;
    sigma = 0.05;
    for ori=1:nori
        band = d.bands{sfband, ori};
        norm_energies = norm_energies + band(:).^2;
    end
    norm_energies = norm_energies / nori;
    
    for ori=1:nori
        band = d.bands{sfband, ori};
        nrm_resp = band(:).^2 ./ (sigma + norm_energies);
        
        energies = [energies (band(:).^2)];
    end
    
    
    pm = energies'*energies;
end
