%this returns the shift in the pop vec readout of each turning curve wrt to
%its label
function p_ori = get_mean(t, ori_labels,k, varargin)
    if numel(varargin)
        neuron_labels = varargin{1};
    else
        neuron_labels = ori_labels;
    end
    %simplified version
    
    labels_rad_doubled = deg2rad(ori_labels*2);
    neuron_labels_rad_doubled = deg2rad(neuron_labels*2);
    vecs = exp(1i*labels_rad_doubled);
    p_ori = [];
    for ni = 1:size(t, 1)
        
        weights = t(ni, :);

        pop_vec = sum(weights .* vecs);
        p_ori = [p_ori angle(pop_vec)];
    end
    
    p_ori = (p_ori - neuron_labels_rad_doubled) ;%/ 2;
    p_ori = rad2deg(p_ori/2);
    
    return

    
    
end
