function population_fun = get_population(oris, half_height)

	%e^-((half_height^2)/(2*v)) = 0.5
	%log(0.5)*2*v = -half_height ^ 2
	v = -0.5*half_height^2 / log(0.5);	
	%v = -0.5*half_height^2 / log(sqrt(2)/2);	
	
    function resp = population_response(ori)
		%orientations are mod 180
		%we need to compute the difference in orientation		
		ori_d = min(abs(oris - ori), pi - abs(oris - ori));
		resp = exp(-1*(ori_d.^2)/(2*v));
        %resp(resp < 0.5) = 0;
	end
	population_fun = @population_response;
end
