function [k1 t tb]= rcov_descend_t2(N, sigma, p, r, epsilon, temp,tau)
    M = numel(p);
    bw = 30*sqrt(2);
    
    contrast = get_contrast();
    s = get_s(N,M, bw, contrast); 
    wscale = mean(get_s(N, 1, 30*sqrt(2)).^2);
    k1 = ones(N)/wscale;
    errs = [];
    
    c_orig = get_cov_real(get_t(s,k1,sigma), ones(1,M)/M);

    steps = 0;
    
    while steps < 3000

        steps = steps+1;

        t = get_t(s, k1, sigma);

        c = get_cov_real(t, p);
        c_diff = (c-c_orig);
        
        
        k1 = max(0, ones(N)*(1-tau) + tau*(k1 + temp*c_diff));
        
 
       
    end
    t = get_t(get_s(N,M,bw, contrast), k1, sigma);
    tb = get_t(get_s(N,N,bw,contrast), k1, sigma);
end
