N_ori = 8;
N_scale = 5;

s=1;
normalize = @(x) x.^2 ./ repmat(s + sum(x.^2,1), size(x,1),1);
N = 100000;
samples = randn(N_ori*N_scale, N);
norm_samples = normalize(samples);


epsilon = 0.001;
record = [];
epsilons = linspace(0,0.95, 10);
for epsilon = epsilons
    x = samples(1,:);
    y = samples(2,:);


    var_pred = 1 - epsilon * var(y) + epsilon * y.^2;

    x_adj = x .* (var_pred).^0.5;
    samples2 = samples;
    samples2(1,:) = x_adj;
    norm_samples = normalize(samples);
    norm_samples2 = normalize(samples2);



    pct_nrm_prod_ch = (mean(norm_samples2(1,:) .* norm_samples2(2,:)) - mean(norm_samples(1,:) .* norm_samples(2,:)) ) /mean(norm_samples(1,:) .* norm_samples(2,:)); 
    %nrm_prod = mean(norm_samples2(1,:) .* norm_samples2(2,:))
    record = [record pct_nrm_prod_ch];
end
h=plot(epsilons, record,'k');
fs = 12;
set(h, 'LineWidth',2);

h=xlabel('Variance dependency slope');
set(h, 'FontSize',fs)
h=ylabel('relative E(N_1N_2)');
set(h,'FontSize',fs);
set(gca, 'FontSize',fs)
set(gca,'XTick',[0,0.25, 0.5, 0.75, 1.0])
set(gca,'YTick',[0, 0.5, 1.0])
axis([0, 1, 0, 1])

