function is = decompose(img, nscale, nori)
    is.lowsc = [];
    is.highsc = [];
    is.bands = cell(nscale, nori);
    %[pyr0, pind0] = buildSFpyr(img, nscale,nori-1);
    [pyr0, pind0] = buildSCFpyr(img, nscale,nori-1);
    %fixed to use phase invariant responses
    pyr0 = (real(pyr0).^2 + conj(imag(pyr0)).^2).^0.5;
    
    is.pind = pind0;
    is.lowsc = pyr0(pyrBandIndices(pind0,size(pind0,1)));
    is.lowsc = reshape(is.lowsc, sqrt(numel(is.lowsc))*[1,1]);
    
    is.highsc = pyr0(pyrBandIndices(pind0,1));
    is.highsc = reshape(is.highsc, sqrt(numel(is.highsc))*[1,1]);
    
    ind = 2;
    for scale = 1:nscale
        for ori = 1:nori
            bimg = pyr0(pyrBandIndices(pind0, ind));
            bimg = reshape(bimg, sqrt(numel(bimg))*[1,1]);
            is.bands{scale, ori} = bimg;
            ind = ind + 1;
        end
    end
end
            